#
# spec file for package perl-Games-Maze
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Games-Maze
Version:        1.08
Release:        1.1
%define cpan_name Games-Maze
Summary:        Create Mazes as Objects
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Games-Maze/
Source:         http://www.cpan.org/authors/id/J/JG/JGAMBLE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.3624
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
Simply put, this package create mazes. You may use the Games::Maze package
to create 3-dimensional rectangular or hexagonal mazes. Mazes are objects
that you can manipulate using the available methods.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes eg LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-Games-Maze/Changes
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.03
  * created by cpanspec 1.78.04
